Get a person
curl --request GET \
--url https://api.clearpolicy.app/api/v1/people/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clearpolicy.app/api/v1/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clearpolicy.app/api/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"name": "<string>",
"email": "[email protected]",
"source": "oauth",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"source_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"message": "<string>",
"payment_url": "<string>"
}{
"message": "<string>"
}{
"error": "<string>"
}{
"message": "Too Many Attempts."
}People
Get a person
Returns a single person by their ULID.
GET
/
people
/
{id}
Get a person
Authorizations
Bearer token created in ClearPolicy API settings with the api:use scope.
Path Parameters
The ULID of the person.
Response
The requested person.
The ULID of the person.
The ULID of the organization.
The person's first name, if provided.
The person's last name.
The full name assembled from first_name and last_name.
The email address of the person.
How the person was created.
Available options:
oauth, web, system, planning_center When the person was created.
When the person was last updated.
The phone number in international format, or null.
An external identifier from the originating system, or null.
When the person was archived, or null if active.
Last modified on September 26, 2026
Was this page helpful?